=== debian/changelog ===
nmap (7.40-1) unstable; urgency=medium

  * New upstream version 7.40.
  * debian/patches:
    - 0001-use-su-to-root.patch: Refresh patch.
    - 0004-zenmap-desktop.patch: Remove patch, applied upstream.
  * debian/watch: Bump to v4.

 -- Samuel Henrique <samueloph@gmail.com>  Thu, 22 Dec 2016 00:52:47 -0200

nmap (7.31-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add debian/gbp.conf file

  [ Samuel Henrique ]
  * Bump DH level to 10.
  * Add myself as an uploader.
  * debian/control: Remove dh-autoreconf, now a dependency of DH 10.
  * debian/patches:
    - 0004-zenmap-desktop.patch: New patch to remove Encoding key and add
      Keywords entry for zenmap's desktop files, sent upstream.
  * debian/rules:
    - Avoid useless dependencies with "-Wl,--as-needed".
    - Enable all hardening flags with "hardening=+all".
    - Remove "--parallel" parameter, default on DH 10.
  * wrap-and-sort -a.

  [ Hilko Bengen ]
  * Add manpage links for zenmap links (nmapfe, nmap)

 -- Hilko Bengen <bengen@debian.org>  Wed, 30 Nov 2016 20:41:51 +0100

nmap (7.31-1) unstable; urgency=medium

  * New upstream version 7.31

 -- Hilko Bengen <bengen@debian.org>  Tue, 25 Oct 2016 23:26:37 +0200

nmap (7.30-1) unstable; urgency=medium

  * New upstream version 7.30
  * Rework patches
  * Update build-dependencies, bump Standards-Version
  * Further work will be done as part of the Debian Security Tools
    Packaging Team.

 -- Hilko Bengen <bengen@debian.org>  Sat, 08 Oct 2016 12:39:07 +0200

nmap (7.12-2) unstable; urgency=medium

  * Update python-gobject dependency
  * Use upstream patch to fix #821913 (Closes: #834546)

 -- Hilko Bengen <bengen@debian.org>  Sun, 04 Sep 2016 22:16:15 +0200
