=== debian/changelog ===
nmap (7.60-1ubuntu5) bionic; urgency=medium

  * Merge change from Debian:
    - No longer Recommend gksu as the `su-to-root` script is not part of that
      package (LP: #1740618)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Apr 2018 21:11:39 -0400

nmap (7.60-1ubuntu4) bionic; urgency=medium

  * debian/control: Add dependency menu for zenmap. (LP #126331)

 -- David Britton <david.britton@canonical.com>  Sat, 17 Feb 2018 21:19:25 -0700

nmap (7.60-1ubuntu3) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:25 +0000

nmap (7.60-1ubuntu2) bionic; urgency=medium

  * nmap: Suggest ndiff instead of recommending it. ndiff is implemented in
    Python2 and not yet ported to Python3. See LP #1735376.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Dec 2017 14:45:45 +0100

nmap (7.60-1ubuntu1) artful; urgency=medium

  * Drop build dependency on libssh2-1-dev, configure --with-libssh2=included.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Sep 2017 13:48:39 +0200

nmap (7.60-1) unstable; urgency=medium

  * New upstream version 7.60
  * Rebase patches
  * Add libssh2 build-dependency to avoid using the embedded copy

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Aug 2017 00:34:12 +0200

nmap (7.50-1) unstable; urgency=medium

  * New upstream version 7.50.
  * Bump Standards-Version to 4.0.0.
  * Remove unused lintian overrides.

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 17 Jun 2017 21:04:49 -0300
