=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nmap
 Section: net
 Priority: extra
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@gmail.com>
 Build-Depends: bison,
@@ -13,10 +14,11 @@
                liblua5.3-dev,
                libpcap0.8-dev,
                libpcre3-dev,
+#               libssh2-1-dev,
                libssl-dev,
                lua-lpeg-dev,
                python (>=2.3.5-7)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://nmap.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git
@@ -26,7 +28,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: ndiff
+Suggests: ndiff
 Description: The Network Mapper
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -44,6 +46,7 @@
          python (>= 2.5) | python-pysqlite2,
          python-gobject-2 | python-gobject,
          python-gtk2,
+         menu, 
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -51,7 +54,6 @@
           ${python:Provides}
 Conflicts: nmapfe
 Replaces: nmapfe
-Recommends: gksu
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived
