=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with=autoreconf,python2
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6
+	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 --with-libssh2=included
 
 override_dh_auto_test:
