=== debian/watch ===
version=4
opts=",uversionmangle=s/(beta|test)/~\\1/i" \
    http://nmap.org/dist/nmap-(\d+\..*)\.tar.*
