## nmap 7.70%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: nmap
 Section: net
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
-           Samuel Henrique <samueloph@gmail.com>
+           Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
-               debhelper (>=10),
+               debhelper (>=11),
                dh-python,
                flex,
                libgtk2.0-dev,
@@ -19,10 +19,10 @@
                python
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.1.0
-Homepage: http://nmap.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/nmap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/nmap.git
+Standards-Version: 4.2.1
+Homepage: https://nmap.org/
+Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap
 
 Package: nmap
 Architecture: any
@@ -30,8 +30,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: ndiff
-Suggests: zenmap
+Suggests: ncat, ndiff, zenmap
 Description: The Network Mapper
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -75,7 +74,8 @@
 Provides: nmapfe
 Conflicts: nmapfe
 Replaces: nmapfe
-Recommends: python-pysqlite2
+Recommends: policykit-1,
+            python-pysqlite2
 Description: The Network Mapper Front End
  Zenmap is an Nmap frontend. It is meant to be useful for advanced users
  and to make Nmap easy to use by beginners. It was originally derived
@@ -92,4 +92,17 @@
          ${python:Depends}
 Description: The Network Mapper - result compare utility
  Ndiff is a tool to aid in the comparison of Nmap scans. It takes two
- Nmap XML output files and prints the differences between them.
+ Nmap XML output files and prints the differences between them them:
+ hosts coming up and down, ports becoming open or closed, and things like that.
+ It can produce output in human-readable text or machine-readable XML formats.
+
+Package: ncat
+Architecture: any
+Breaks: nmap (<< 7.70+dfsg1-2~)
+Replaces: nmap (<< 7.70+dfsg1-2~)
+Depends: ${misc:Depends},  ${shlibs:Depends}
+Description: NMAP netcat reimplementation
+ ncat is a reimplementation of Netcat by the NMAP project, providing
+ most of the features present in the original implementations, along
+ with some new features such as IPv6 and SSL support. Port scanning
+ support has been removed.
