=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	VENDOR_CONFIGURE_OPTIONS = --with-libssh2=included
+endif
 
 %:
 	dh $@ --with=python2
@@ -11,7 +15,7 @@
 	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/*.exe
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 STRIP=/bin/true
+	dh_auto_configure -- --with-liblua --with-liblinear --enable-ipv6 STRIP=/bin/true $(VENDOR_CONFIGURE_OPTIONS)
 
 override_dh_auto_build-indep:
 	dh_auto_build
