=== debian/watch ===
version=4
opts="uversionmangle=s/(beta|test)/~\\1/i,pgpsigurlmangle=s%/dist/(.*)$%/dist/sigs/\\1.asc%,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack,compression=xz" \
    https://nmap.org/dist/nmap-(\d+\..*)\.tar.*
